#ifndef THLZSS_H_
#define THLZSS_H_

/* Compress insize bytes from in and return a pointer to allocated data outsize
 * large. */
unsigned char* th_lz(const unsigned char* in, unsigned int insize, unsigned int* outsize);
/* Do the same as th_lz, except don't compress the data.  The output is going
 * to be larger than the input. */
unsigned char* th_lz0(const unsigned char* in, unsigned int insize, unsigned int* outsize);

#endif
